
package com.lookout.net;

 final class AutoValue_UrlEvent extends UrlEvent {

  private final String url;
  private final String agent;

  AutoValue_UrlEvent(
      String url,
      String agent) {
    if (url == null) {
      throw new NullPointerException("Null url");
    }
    this.url = url;
    if (agent == null) {
      throw new NullPointerException("Null agent");
    }
    this.agent = agent;
  }

  @Override
  public String getUrl() {
    return url;
  }

  @Override
  public String getAgent() {
    return agent;
  }

  @Override
  public String toString() {
    return "UrlEvent{"
        + "url=" + url + ", "
        + "agent=" + agent
        + "}";
  }

  @Override
  public boolean equals(Object o) {
    if (o == this) {
      return true;
    }
    if (o instanceof UrlEvent) {
      UrlEvent that = (UrlEvent) o;
      return (this.url.equals(that.getUrl()))
           && (this.agent.equals(that.getAgent()));
    }
    return false;
  }

  @Override
  public int hashCode() {
    int h = 1;
    h *= 1000003;
    h ^= this.url.hashCode();
    h *= 1000003;
    h ^= this.agent.hashCode();
    return h;
  }

}
